%***Nactení obrazových dat***
if exist(get(findobj('Tag','Cesta_obr'),'String')) ==0 %kontrola jestli zadané umístění existuje
   set(findobj('Tag','Kontrolka_obr'),'BackgroundColor','Red'); %umístění neexistuje obarvním kontrolku na červenou
   h2=figure('Color',[0.8 0.8 0.8],...%Vytvořím okno pro hlášku
             'NumberTitle','off',...
             'Name','Jiri Smrcka',...
             'Menubar','none',...
             'Tag','Hlavni_okno',...
             'Units','normalized',...
             'Position',[0.4 0.4 0.2 0.1]);
   h12=uicontrol('String','Obrazek nenalezen',...%Vpíšu do něj text
                 'Units','normalized',...
                 'Position',[0.0 0.0 1 0.6],...
                 'Style','Text',...
                 'Tag','Kontrolka_obr',...
                 'BackgroundColor',[0.8 0.8 0.8]);
else
   set(findobj('Tag','Kontrolka_obr'),'BackgroundColor','green');    %umístění existuje obarvím kontrolku na zelenou
   pamet.upraveny_obraz.imgall = imread(get(findobj('Tag','Cesta_obr'),'String')); %načtu obrazek
   temp = size(pamet.upraveny_obraz.imgall);%zjistím jeho velikost
   pamet.upraveny_obraz.rozmer.x = temp(1);%vytřídím informaci o x složce
   pamet.upraveny_obraz.rozmer.y = temp(2);%vytřídím informaci o y složce
   pamet.upraveny_obraz.rozmer.z = temp(3);%vytřídím informaci o z složce
   pamet.upraveny_obraz.rozmer.pixelu_celkem = temp(1)*temp(2);%vypočtu celkový počet pixlů v obraze
end
